/*Concerne l'intégralité commun de la page */
main {
  width: 90%;
  margin: 0 auto;
  padding-bottom: 10vh;
  overflow: -moz-scrollbars-vertical;
}

/* je touche à ma premier section pour la descendre */
main section {
  margin-bottom: 50px;
}

/* je descend un peu ma boite pour aerer avec le header */
main article {
  margin-top: 50px;
}

main h1 {
  width: 100%;
  margin: 10vh 0;
}

/*Concerne les Iitres des menus des politiques des données et à propos des cookies */
main h2 {
  margin: 6vh 0 2vh 0;
  line-height: 1.2;
  width: 100%;
}

/*Concerne l'intégralité des textes */
main p {
  line-height: 1.5;
  margin-bottom: 1em;
}

a {
  color: var(--text-color);

  &:hover {
    color: var(--text-color);
    text-decoration: underline;
  }
}




summary {
  margin: 10px;
  font-size: 2rem;

  font-family: var(--font-h);
}



main ul,
main li {

  padding-left: 0.3em;
  margin: 16px 25px;

  li {
    margin-bottom: 0.3em;
  }
}

details {
  border: 1px solid rgb(255, 236, 211);
  border-radius: 1em;
  padding: 0em 1em;
  margin-bottom: 1em;
}

/* Concerne l'animation de l'apparition des sous-catégories*/
@keyframes sweep {
  0% {
    opacity: 0;
    transform: translateY(100px);
  }

  100% {
    opacity: 1;
    transform: translateX(0);
  }
}








/* Concerne la version mobile */
@media screen and (max-width: 668px) {

  /* Concerne les textes */
  main p {
    width: 100%;
    /* margin: 20px auto; */
  }

  /* Concerne les titres des sous catégories Politiques de protection des données */
  main h2 {
    font-size: 27px;
    margin: 30px auto;
  }

  /*Concerne les sous-texte   */
  main li {
    /* font-size: 15px; */
    /* width: 100%; */
    text-align: justify;
    margin: 0 5px;
  }

  summary {

    font-size: 1.05rem;


  }
}